function FileData_Pairs(x)
{
x.t("tibemssession","object");
x.t("passed","message");
x.t("registers","calling");
x.t("parameter","description");
x.t("tibemsdestination","destination");
x.t("receives","match");
x.t("implement","message");
x.t("inbound","message");
x.t("within","transaction");
x.t("create","message");
x.t("description","page");
x.t("description","msgconsumer");
x.t("sending","message");
x.t("commits","tibemsmsgconsumer_receivenowait");
x.t("commits","tibemsmsgconsumer_receive");
x.t("callback","registers");
x.t("callback","callback");
x.t("callback","void");
x.t("callback","functions");
x.t("callback","progress");
x.t("callback","function");
x.t("callback","closure");
x.t("callback","location");
x.t("callback","remarks");
x.t("callback","call");
x.t("paired","closure");
x.t("void","closure");
x.t("apply","queues");
x.t("creates","tibemsmsgconsumer_receive");
x.t("tibemsmsgconsumer_close","tibemsmsgconsumer");
x.t("tibemsmsgconsumer_close","function");
x.t("tibemsmsgconsumer_close","closes");
x.t("tibemsmsgconsumer_close","using");
x.t("end-call","msgconsumer");
x.t("until","transaction");
x.t("until","call");
x.t("program","explicitly");
x.t("program","implements");
x.t("program","closing");
x.t("(non-zero)","timeout");
x.t("type","purpose");
x.t("163","tibemsmsgconsumer_getdestination");
x.t("tibemsmsgconsumer_getmsgselector","tibemsmsgconsumer");
x.t("tibemsmsgconsumer_getmsgselector","function");
x.t("tibemsmsgconsumer_getmsgselector","message");
x.t("tibemsmsgconsumer_getmsgselector","using");
x.t("close","consumer");
x.t("close","consumers");
x.t("listener","callback");
x.t("listener","consumer");
x.t("change","property");
x.t("change","tibemsmsgconsumer_getmsglistener");
x.t("164","tibemsmsgconsumer_getmsglistener");
x.t("time","limit");
x.t("response","server");
x.t("explicitly","close");
x.t("calls","callback");
x.t("releases","associated");
x.t("165","tibemsmsgconsumer_getmsgselector");
x.t("arrives","destination");
x.t("arrives","consumer");
x.t("arrives","call");
x.t("connection","connection");
x.t("connection","associated");
x.t("166","tibemsmsgconsumer_getnolocal");
x.t("property","creating");
x.t("property","consumer");
x.t("property","message");
x.t("property","value");
x.t("property","associated");
x.t("tibems-status","end-call");
x.t("167","tibemsmsgconsumer_receive");
x.t("extracts","items");
x.t("items","consumer");
x.t("tibems_timeout","thread");
x.t("168","tibemsmsgconsumer_receivenowait");
x.t("168","tibemssession_createconsumer");
x.t("168","tibemsmsgconsumer_receivetimeout");
x.t("tibems_status","tibemsmsgconsumer_close");
x.t("tibems_status","tibemsmsgconsumer_getmsgselector");
x.t("tibems_status","tibemsmsgconsumer_receivenowait");
x.t("tibems_status","tibemsmsgconsumer_getnolocal");
x.t("tibems_status","tibemsmsgconsumer_receivetimeout");
x.t("tibems_status","tibemsmsgconsumer_receive");
x.t("tibems_status","tibemsmsgconsumer_setmsglistener");
x.t("tibems_status","tibemsmsgconsumer_getmsglistener");
x.t("tibems_status","tibemsmsgconsumer_getdestination");
x.t("cobol","tibemsmsgconsumer_setmsglistener");
x.t("cobol","call");
x.t("cobol","tibemsmsgcallback");
x.t("block","indefinitely");
x.t("169","tibemsmsgconsumer_receivetimeout");
x.t("169","tibemsmsgconsumer_setmsglistener");
x.t("indefinitely","remarks");
x.t("ems","programs");
x.t("293","tibemsmsgconsumer_close");
x.t("293","tibemsmsgcallback");
x.t("293","tibemsmsgconsumer_getdestination");
x.t("tibemsmsgconsumer_receivenowait","tibemsmsgconsumer");
x.t("tibemsmsgconsumer_receivenowait","function");
x.t("tibemsmsgconsumer_receivenowait","receive");
x.t("tibemsmsgconsumer_receivenowait","page");
x.t("tibemsmsgconsumer_receivenowait","using");
x.t("tibemsmsg","message");
x.t("synchronously","using");
x.t("nolocal","cobol");
x.t("nolocal","returning");
x.t("nolocal","function");
x.t("true","consumer");
x.t("queues","tibemsmsgconsumer_receive");
x.t("creating","consumer");
x.t("wait","longer");
x.t("clients","create");
x.t("tibemsmsgconsumer_getnolocal","local");
x.t("tibemsmsgconsumer_getnolocal","tibemsmsgconsumer");
x.t("tibemsmsgconsumer_getnolocal","function");
x.t("tibemsmsgconsumer_getnolocal","using");
x.t("returning","tibems-status");
x.t("char","selectorptr");
x.t("retains","message");
x.t("synchronous","blocks");
x.t("synchronous","non-blocking");
x.t("limit","170");
x.t("limit","declaration");
x.t("const","char");
x.t("parameters","parameter");
x.t("subsequently","change");
x.t("zero","special");
x.t("destination","cobol");
x.t("destination","creating");
x.t("destination","returning");
x.t("destination","destination");
x.t("destination","programs");
x.t("destination","messages");
x.t("destination","function");
x.t("destination","consumer");
x.t("destination","message");
x.t("destination","least");
x.t("destination","usage");
x.t("destination","remarks");
x.t("destination","location");
x.t("destination","call");
x.t("tibemsmsgconsumer","type");
x.t("tibemsmsgconsumer","tibemsmsgconsumer");
x.t("tibemsmsgconsumer","tibco");
x.t("tibemsmsgconsumer","msgconsumer");
x.t("local","property");
x.t("programs","implement");
x.t("programs","property");
x.t("programs","destination");
x.t("string","location");
x.t("sets","items");
x.t("thread","closes");
x.t("receiving","within");
x.t("functions","tibemssession");
x.t("functions","clients");
x.t("functions","asynchronously");
x.t("selector","string");
x.t("selector","consumer");
x.t("selector","message");
x.t("selector","restricts");
x.t("progress","function");
x.t("present","wait");
x.t("blocks","time");
x.t("blocks","message");
x.t("supported","cobol");
x.t("next","message");
x.t("messages","synchronously");
x.t("messages","destination");
x.t("messages","consumer");
x.t("messages","asynchronously");
x.t("messages","ready");
x.t("messages","sent");
x.t("non-blocking","169");
x.t("non-blocking","declaration");
x.t("stops","sending");
x.t("function","description");
x.t("function","paired");
x.t("function","blocks");
x.t("function","stores");
x.t("function","purpose");
x.t("function","consumes");
x.t("function","closure");
x.t("function","message");
x.t("function","immediately");
x.t("function","waits");
x.t("implements","callback");
x.t("software","chapter");
x.t("chapter","consumer");
x.t("receive","within");
x.t("receive","functions");
x.t("receive","messages");
x.t("receive","message");
x.t("receive","call");
x.t("tibemssession_createconsumer","page");
x.t("cannot","subsequently");
x.t("tibems_not_found","calling");
x.t("specifies","timeout");
x.t("(synchronous)","168");
x.t("(synchronous)","declaration");
x.t("stores","property");
x.t("stores","destination");
x.t("stores","pointer");
x.t("selectors","programs");
x.t("closes","consumer");
x.t("closes","message");
x.t("match","selector");
x.t("arrive","zero");
x.t("purpose","destination");
x.t("purpose","local");
x.t("purpose","receive");
x.t("purpose","closes");
x.t("purpose","message");
x.t("purpose","consume");
x.t("calling","receiving");
x.t("calling","function");
x.t("calling","receive");
x.t("calling","tibemsmsgconsumer_receive");
x.t("calling","tibemsmsgconsumer_setmsglistener");
x.t("client","program");
x.t("reference","nolocal");
x.t("reference","destination");
x.t("reference","message");
x.t("reference","selectorptr");
x.t("consumer","receives");
x.t("consumer","callback");
x.t("consumer","program");
x.t("consumer","164");
x.t("consumer","response");
x.t("consumer","calls");
x.t("consumer","releases");
x.t("consumer","165");
x.t("consumer","166");
x.t("consumer","167");
x.t("consumer","nolocal");
x.t("consumer","retains");
x.t("consumer","destination");
x.t("consumer","tibemsmsgconsumer");
x.t("consumer","programs");
x.t("consumer","cannot");
x.t("consumer","receive");
x.t("consumer","consumes");
x.t("consumer","message");
x.t("consumer","msg");
x.t("consumer","171");
x.t("consumer","declaration");
x.t("consumer","selectorptr");
x.t("consumer","remarks");
x.t("consumer","callbackptr");
x.t("consumer","call");
x.t("consumer","object");
x.t("tibco","software");
x.t("asynchronously","using");
x.t("asynchronously","consumers");
x.t("message","callback");
x.t("message","until");
x.t("message","listener");
x.t("message","arrives");
x.t("message","cobol");
x.t("message","returning");
x.t("message","synchronous");
x.t("message","destination");
x.t("message","selector");
x.t("message","function");
x.t("message","(synchronous)");
x.t("message","selectors");
x.t("message","arrive");
x.t("message","consumer");
x.t("message","ready");
x.t("message","usage");
x.t("message","value");
x.t("message","location");
x.t("message","data");
x.t("message","tibems_long");
x.t("message","consumer\u2019s");
x.t("message","consumers");
x.t("message","returns");
x.t("closure","parameters");
x.t("closure","function");
x.t("closure","closure");
x.t("closure","data");
x.t("consumes","next");
x.t("consumes","messages");
x.t("consumes","message");
x.t("ready","function");
x.t("least","message");
x.t("closing","consumer");
x.t("msg","function");
x.t("longer","interval");
x.t("170","tibemsmsgconsumer_receivenowait");
x.t("170","tibemsmsgconsumer_receivetimeout");
x.t("170","tibemsmsgconsumer_setmsglistener");
x.t("171","tibemsmsgcallback");
x.t("value","specifies");
x.t("value","location");
x.t("value","msgconsumer");
x.t("value","timeout");
x.t("usage","pointer");
x.t("interval","milliseconds");
x.t("172","tibemsmsgconsumer_getmsgselector");
x.t("172","tibemsmsgconsumer_getnolocal");
x.t("172","tibemssession_createconsumer");
x.t("172","tibco");
x.t("declaration","tibems_status");
x.t("selectorptr","cobol");
x.t("selectorptr","returning");
x.t("selectorptr","function");
x.t("selectorptr","usage");
x.t("tibemsmsgconsumer_receivetimeout","tibemsmsgconsumer");
x.t("tibemsmsgconsumer_receivetimeout","function");
x.t("tibemsmsgconsumer_receivetimeout","receive");
x.t("tibemsmsgconsumer_receivetimeout","page");
x.t("tibemsmsgconsumer_receivetimeout","using");
x.t("tibems_intr","calling");
x.t("remarks","ems");
x.t("remarks","true");
x.t("remarks","destination");
x.t("remarks","function");
x.t("remarks","receive");
x.t("remarks","consumer");
x.t("remarks","message");
x.t("remarks","consumers");
x.t("page","tibemsmsgconsumer_close");
x.t("page","168");
x.t("page","169");
x.t("page","293");
x.t("page","170");
x.t("page","171");
x.t("page","172");
x.t("tibemsmsgconsumer_receive","tibemsmsgconsumer");
x.t("tibemsmsgconsumer_receive","function");
x.t("tibemsmsgconsumer_receive","receive");
x.t("tibemsmsgconsumer_receive","page");
x.t("tibemsmsgconsumer_receive","transaction");
x.t("tibemsmsgconsumer_receive","using");
x.t("location","closure");
x.t("location","remarks");
x.t("location","timeout");
x.t("location","pointer");
x.t("elapses","message");
x.t("data","consumer");
x.t("data","location");
x.t("data","remarks");
x.t("data","call");
x.t("tibemsmsgconsumer_setmsglistener","tibemsmsgconsumer");
x.t("tibemsmsgconsumer_setmsglistener","function");
x.t("tibemsmsgconsumer_setmsglistener","message");
x.t("tibemsmsgconsumer_setmsglistener","page");
x.t("msgconsumer","tibemsdestination");
x.t("msgconsumer","close");
x.t("msgconsumer","listener");
x.t("msgconsumer","property");
x.t("msgconsumer","cobol");
x.t("msgconsumer","tibemsmsg");
x.t("msgconsumer","returning");
x.t("msgconsumer","const");
x.t("msgconsumer","destination");
x.t("msgconsumer","receive");
x.t("msgconsumer","reference");
x.t("msgconsumer","message");
x.t("msgconsumer","usage");
x.t("msgconsumer","selectorptr");
x.t("msgconsumer","tibemsmsgcallback");
x.t("msgconsumer","tibems_bool");
x.t("timeout","cobol");
x.t("timeout","block");
x.t("timeout","returning");
x.t("timeout","present");
x.t("timeout","elapses");
x.t("notifies","server");
x.t("topics","apply");
x.t("transaction","commits");
x.t("transaction","consumer");
x.t("milliseconds","message");
x.t("tibemsmsgconsumer_getmsglistener","tibemsmsgconsumer");
x.t("tibemsmsgconsumer_getmsglistener","function");
x.t("tibemsmsgconsumer_getmsglistener","message");
x.t("callbackptr","void");
x.t("callbackptr","function");
x.t("tibems_long","timeout");
x.t("tibemsmsgcallback","callback");
x.t("tibemsmsgcallback","page");
x.t("tibemsmsgcallback","callbackptr");
x.t("call","tibemsmsgconsumer_close");
x.t("call","tibemsmsgconsumer_getmsgselector");
x.t("call","extracts");
x.t("call","tibemsmsgconsumer_receivenowait");
x.t("call","tibemsmsgconsumer_getnolocal");
x.t("call","sets");
x.t("call","supported");
x.t("call","message");
x.t("call","tibemsmsgconsumer_receivetimeout");
x.t("call","tibemsmsgconsumer_receive");
x.t("call","notifies");
x.t("call","call");
x.t("call","immediately");
x.t("call","returns");
x.t("call","tibemsmsgconsumer_getdestination");
x.t("consumer\u2019s","destination");
x.t("immediately","consumes");
x.t("immediately","returns");
x.t("storage","163");
x.t("storage","declaration");
x.t("pointer","passed");
x.t("pointer","inbound");
x.t("pointer","callback");
x.t("pointer","parameters");
x.t("pointer","selector");
x.t("pointer","closure");
x.t("special","value");
x.t("using","callback");
x.t("using","functions");
x.t("using","receive");
x.t("using","value");
x.t("consumers","creates");
x.t("consumers","receive");
x.t("consumers","using");
x.t("returns","(non-zero)");
x.t("returns","tibems_timeout");
x.t("returns","thread");
x.t("returns","next");
x.t("returns","tibems_not_found");
x.t("returns","closes");
x.t("returns","tibems_intr");
x.t("restricts","messages");
x.t("associated","consumer");
x.t("associated","topics");
x.t("associated","storage");
x.t("tibemsmsgconsumer_getdestination","destination");
x.t("tibemsmsgconsumer_getdestination","tibemsmsgconsumer");
x.t("tibemsmsgconsumer_getdestination","function");
x.t("tibemsmsgconsumer_getdestination","using");
x.t("waits","until");
x.t("consume","messages");
x.t("sent","server");
x.t("object","program");
x.t("object","function");
x.t("object","tibemssession_createconsumer");
x.t("server","connection");
x.t("server","stops");
x.t("server","client");
x.t("tibems_bool","nolocal");
}
